You need to enable JavaScript to run this app.
Volcano Engine Function as a Service

Volcano Engine Function as a Service

Copy page
Download PDF
Sandbox instances
ListSandboxes
Copy page
Download PDF
ListSandboxes
Obtain an instance list of sandbox applications.​
Request description​
  • Request method: POST​
  • Request URL: http://open.volcengineapi.com/?Action=ListSandboxes&Version=2024-06-06​
Debugging​
API Explorer
You can initiate calls online through API Explorer without paying attention to the signature generation process and quickly obtain the call results.
​
Request parameters​
​
Parameter​
Type​
Require​
Sample value​
Description​
Action​
String​
Yes​
ListSandboxes​
Interface name. The name of the current API is ListSandboxes.​
Version​
String​
Yes​
2024-06-06​
Interface version. The current version of the API is 2024-06-06 .​
FunctionId​
String​
Yes​
e8m6****​
Filter sandbox instances by the ID of the sandbox application.​
Obtain the sandbox application ID on the sandbox application page. For login methods for sandbox applications, see Sandbox Application.​
SandboxId​
String​
No​
vefaas-e8m6xarn-p2zamuv2fr-*****​
Filter sandbox instances by sandbox instance ID or name.​
Obtain the sandbox instance ID or name under the Sandbox Instance tab on the sandbox application page. For login methods for sandbox applications, see Sandbox Application.​
tip​
When multiple query conditions are specified, the sandbox instance ID and name are prioritized to return a single instance, or to indicate that the instance does not exist.​
Metadata​
JSON Map​
No​
{"app":"test"}​
Filter sandbox instances using sandbox instance metadata.​
PageNumber​
Integer​
No​
1​
The starting page number for paginated queries. The default value is 1.​
PageSize​
Integer​
No​
10​
Number of records displayed per page in paginated queries. Value range: 1–100. Default value: 10.​
ImageUrl​
String​
No​
cr-basic-vefaas-cn-beijing.cr.volces.com/****:latest​
Query the sandbox instance list by image address.​
Status​
String​
No​
Ready​
Query the sandbox instance list by sandbox instance status. Values:​
  • Pending: waiting for scheduling.​
  • Starting: startup in progress.​
  • Ready: startup completed.​
  • Failed: startup failed.​
  • Terminating: terminating.​
Filters​
Array of Filter​
No​
-​
Filter condition used to filter sandbox instances.​
​
Filter​
​
Parameter​
Type​
Require​
Sample value​
Description​
Name​
String​
No​
status​
Filter key (Key) for the query. Available values:​
  • revision: version of the sandbox instance.​
  • status: status of the sandbox instance. Available values:​
  • Pending: waiting for scheduling.​
  • Starting: startup in progress.​
  • Ready: startup completed.​
  • Failed: startup failed.​
  • Terminating: terminating.​
  • session_id: session ID of the sandbox instance.​
Values​
Array of String​
No​
["Ready","Starting"]​
Filter values for the query. Separate multiple values with a half-width comma (,).​
​
Sample requests​
​
POST http://open.volcengineapi.com/?Action=ListSandboxes&Version=2024-06-06 HTTP/1.1​
Content-Type: application/json​
{​
"FunctionId": "e8m6****",​
"SandboxId": "vefaas-e8m6xarn-p2zamuv2fr-*****",​
"Metadata": {​
"app": "test"​
},​
"PageNumber": 1,​
"PageSize": 10,​
"ImageUrl": "cr-basic-vefaas-cn-beijing.cr.volces.com/****:latest",​
"Status": "Ready"​
}
​
Response parameters​
​
Parameter​
Type​
Sample value​
Description​
Sandboxes​
Array of SandboxInfo​
-​
Sandbox instance list.​
Total​
Integer​
100​
Total number of sandbox instances.​
StatusCount​
JSON Map​
{"Ready":100}​
The number of sandbox instances in different statuses.​
RevisionCount​
JSON Map​
{"1":50,"2":30}​
Mapping of the number of sandbox instances corresponding to different version numbers. The key is the version number, and the value is the number of sandbox instances for that version.​
​
SandboxInfo​
​
Parameter​
Type​
Sample value​
Description​
Id​
String​
vefaas-e8m6xarn-p2zamuv2fr-****​
ID or name of the sandbox instance.​
Image​
String​
**-cn-beijing.cr.volces.com/vefaas-**/sandbox-fusion:**.python​
The image address of the sandbox instance.​
Status​
String​
Ready​
Sandbox instance status: Values:​
  • Starting: startup in progress.​
  • Ready: startup completed.​
  • Failed: startup failed.​
  • Terminating: terminating.​
Pending​
Boolean​
true​
Indicates whether the sandbox instance is in the pending scheduling state. When Status has not yet been updated, use this field to determine whether it is in the queue. Available values:​
  • true: In the scheduling queue.​
  • false: Default value, not in the scheduling queue.​
CpuMilli​
Integer​
500​
The CPU specification of the sandbox instance, in millicpu.​
ExpireAt​
String​
2025-04-25 11:31:29.376 +0000 UTC​
Expiration time of the sandbox instance.​
MemoryMB​
Integer​
1,024​
The specification of sandbox instance memory, in MiB.​
Metadata​
JSON Map​
{"app":"test"}​
Sandbox instance metadata.​
CreatedAt​
String​
2025-04-25 11:11:29.376 +0000 UTC​
Creation time of the sandbox instance.​
ErrorCode​
String​
function_health_check_failed​
Error code for sandbox instance start failure. Available values:​
  • internal_load_request_error: Internal system error.​
  • function_initialize_failed: Business process initialization error.​
  • function_health_check_failed: Health check error.​
  • route_terminating: Route is being deleted.​
This field is empty if sandbox instances start normally.​
SessionId​
String​
sess-12345****​
Session ID of the sandbox instance.​
FunctionId​
String​
e8m6****​
Sandbox application ID.​
AssignStatus​
String​
ready​
Assignment status of the sandbox, only applicable when the sandbox pre-warming pool is turned on. Available values:​
  • ready: Pre-warmed and available for assignment.​
  • assigned: Assigned.​
ErrorMessage​
String​
function_health_check_failed​
Error message for sandbox instance startup failure. This field is empty if sandbox instances start normally.​
InstanceType​
String​
elastic​
Sandbox instance types: Available values:​
  • elastic: elastic instance.​
  • frozen: frozen instance.​
  • activated: activated instance.​
  • reserved: reserved instance.​
RevisionNumber​
Integer​
1​
Version number of the sandbox instance.​
AvailabilityZone​
String​
cn-beijing-b​
Availability zone ID of sandbox instances.​
​
Sample responses​
​
HTTP/1.1 200 OK​
Content-Type: application/json​
{​
"ResponseMetadata": {​
"RequestId": "20230604110420****100232280022D31",​
"Action": "ListSandboxes",​
"Version": "2024-06-06",​
"Service": "vefaas",​
"Region": "cn-beijing"​
},​
"Result": {​
"Sandboxes": [​
{​
"Id": "vefaas-e8m6xarn-p2zamuv2fr-****",​
"Image": "enterprise-cn-beijing.cr.volces.com/vefaas-public/sandbox-fusion:20250509.python",​
"Status": "Ready",​
"Pending": true,​
"CpuMilli": 500,​
"ExpireAt": "2025-04-25 11:31:29.376 +0000 UTC",​
"MemoryMB": 1024,​
"Metadata": {​
"app": "test"​
},​
"CreatedAt": "2025-04-25 11:11:29.376 +0000 UTC",​
"ErrorCode": "function_health_check_failed",​
"FunctionId": "e8m6****",​
"ErrorMessage": "function_health_check_failed",​
"InstanceType": "elastic",​
"RevisionNumber": 1,​
"AvailabilityZone": "cn-beijing-b"​
}​
],​
"Total": 100,​
"StatusCount": {​
"Ready": 100​
}​
}​
}
​
Error codes​
The current interface temporarily has no independent error code. If the interface calls back abnormally, you can refer to the Public error code to troubleshoot.​
Last updated: 2026.06.02 14:13:07